import _classCallCheck from "@babel/runtime/helpers/classCallCheck";
import _createClass from "@babel/runtime/helpers/createClass";
import _possibleConstructorReturn from "@babel/runtime/helpers/possibleConstructorReturn";
import _getPrototypeOf from "@babel/runtime/helpers/getPrototypeOf";
import _inherits from "@babel/runtime/helpers/inherits";
import React, { Component } from 'react';
import './BoolSelect.css';

var BoolSelect =
/*#__PURE__*/
function (_Component) {
  _inherits(BoolSelect, _Component);

  function BoolSelect(props, contents) {
    var _this;

    _classCallCheck(this, BoolSelect);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(BoolSelect).call(this, props, contents));

    _this.chStatus = function () {
      var onChange = _this.props.onChange;

      _this.setState({
        selectStatus: !_this.state.selectStatus
      });

      onChange && onChange(!_this.state.selectStatus);
    };

    _this.state = {
      selectStatus: props.data ? props.data.BoolSelect === undefined ? true : props.data.BoolSelect : true
    };
    return _this;
  }

  _createClass(BoolSelect, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      if (this.props.from == 'common') {
        var node = this.refs.boolSelectWraper;
        var staSafe = 0; //控制向上找5层，防止找不到死循环

        while (node.parentElement.className != 'element-prop-item' && staSafe < 5) {
          node = node.parentElement;
          staSafe++;
        }

        node.parentElement.childNodes[0].style.padding = 0;
      }
    }
  }, {
    key: "render",
    value: function render() {
      var selectStatus = this.state.selectStatus;
      var data = this.props.data;
      var opt = data != undefined && data.BoolSelect != undefined ? data.BoolSelect : selectStatus;
      return React.createElement("div", {
        className: "bool-select-wraper",
        ref: "boolSelectWraper"
      }, React.createElement("span", {
        className: "bool-select-title"
      }, this.props.title), React.createElement("div", {
        className: opt ? this.props.wrapClassName + ' mux-rectangle-blue-svg' || 'bool-select-contain-default mux-rectangle-blue-svg' : this.props.wrapClassName + ' mux-retangle-gray-svg' || 'bool-select-contain-default mux-retangle-gray-svg',
        onClick: this.chStatus
      }, React.createElement("div", {
        className: "bool-select-button mux-circle-white-fall-svg",
        style: opt ? {
          'float': 'right',
          'marginRight': '2px'
        } : {
          'float': 'left',
          'marginLeft': '2px'
        }
      })));
    }
  }]);

  return BoolSelect;
}(Component);

export default BoolSelect;