import * as React from 'react';
import AvatarImg from '../../../components/common/avatarImg';
import './index.css';
export default function UserList(_a) {
  var users = _a.users,
      size = _a.size,
      userClick = _a.userClick;
  return React.createElement("span", {
    className: 'user-list-wrap'
  }, users.map(function (user, k) {
    return React.createElement("span", {
      className: 'guessed-user',
      key: "user-list" + k,
      style: {
        zIndex: k
      },
      onClick: function onClick() {
        userClick(user);
      }
    }, React.createElement(AvatarImg, {
      size: size,
      name: user.Name,
      src: user.PersonalPictureUrl ? user.PersonalPictureUrl.s : '',
      color: user.AvatarColor || ''
    }));
  }), React.createElement("span", {
    className: 'guessed-user last',
    style: {
      zIndex: 9
    },
    onClick: function onClick() {
      userClick();
    }
  }, "?"));
}