import * as React from 'react';
import './index.css';

var Header = function Header(props) {
  var icon = props.icon,
      title = props.title,
      color = props.color,
      secondTitle = props.secondTitle,
      rightComponent = props.rightComponent,
      outWidth = props.outWidth;
  var outWidths = outWidth || '0px';
  return React.createElement("div", {
    className: 'chart-header-wrap'
  }, React.createElement("div", {
    className: 'chart-header'
  }, React.createElement("div", {
    className: 'title'
  }, React.createElement("div", {
    style: {
      color: color
    },
    className: icon + " icon"
  }, " "), React.createElement("span", {
    className: 'first-title',
    style: {
      maxWidth: "calc( 100% - " + outWidths + " )"
    }
  }, title), React.createElement("span", {
    className: 'second-title'
  }, secondTitle)), rightComponent && rightComponent()));
};

export default Header;