import _classCallCheck from "@babel/runtime/helpers/classCallCheck";
import _createClass from "@babel/runtime/helpers/createClass";
import _possibleConstructorReturn from "@babel/runtime/helpers/possibleConstructorReturn";
import _getPrototypeOf from "@babel/runtime/helpers/getPrototypeOf";
import _inherits from "@babel/runtime/helpers/inherits";

/*
 * @Author: xhbisme
 * @Date:   2017-06-26 11:22:05
 * @Last Modified 2017-06-26
 * @Last Modified time: 2017-06-26 07:18:12
 */
import './index.css';
import React, { Component } from 'react';
/**
 * @param {type} 1:纵向，2:横向
 * @param {icon} 1-4:四种背景图片svg，5比较特殊，我的待办专用
 * @param {width} 外围组件宽度
 */

var NoData =
/*#__PURE__*/
function (_Component) {
  _inherits(NoData, _Component);

  function NoData() {
    var _getPrototypeOf2;

    var _this;

    _classCallCheck(this, NoData);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _possibleConstructorReturn(this, (_getPrototypeOf2 = _getPrototypeOf(NoData)).call.apply(_getPrototypeOf2, [this].concat(args)));
    _this.state = {
      height: 40,
      width: 'inherit'
    };
    return _this;
  }

  _createClass(NoData, [{
    key: "getNoDataStyle",
    value: function getNoDataStyle(h) {
      if (h >= 600) {
        return {
          width: '200px',
          height: '180px'
        };
      } else if (h < 150) {
        return {
          width: '36px',
          height: '40px'
        };
      } else if (h >= 150 && h < 300) {
        return {
          width: '54px',
          height: '60px'
        };
      } else {
        return {
          width: '135px',
          height: '130px'
        };
      }
    }
  }, {
    key: "getHeight",
    value: function getHeight(h, type) {
      if (h >= 600) {
        return {
          height: '210px',
          marginTop: '-105px'
        };
      } else if (h < 150) {
        return {
          height: '70px',
          marginTop: '-35px'
        };
      } else if (h >= 150 && h < 300) {
        if (type == 2) {
          return {
            height: '60px',
            marginTop: '-30px'
          };
        }

        return {
          height: '90px',
          marginTop: '-45px'
        };
      } else {
        return {
          height: '160px',
          marginTop: '-80px'
        };
      }
    }
  }, {
    key: "componentDidMount",
    value: function componentDidMount() {
      if (this.refs.noDataWrap) {
        this.setState({
          height: this.refs.noDataWrap.clientHeight,
          width: this.refs.noDataWrap.clientWidth
        });
      }
    }
  }, {
    key: "componentDidUpdate",
    value: function componentDidUpdate(pp, ps) {
      if (this.refs.noDataWrap && (this.state.height != this.refs.noDataWrap.clientHeight || this.state.width != this.refs.noDataWrap.clientWidth)) {
        this.setState({
          height: this.refs.noDataWrap.clientHeight,
          width: this.refs.noDataWrap.clientWidth
        });
      }
    }
  }, {
    key: "render",
    value: function render() {
      var _this$props = this.props,
          _this$props$icon = _this$props.icon,
          icon = _this$props$icon === void 0 ? 1 : _this$props$icon,
          text = _this$props.text;
      var type = 1;
      var _this$state = this.state,
          height = _this$state.height,
          width = _this$state.width;

      if (height >= 150 && height < 300 && width && width / height >= 2) {
        type = 2;
      }

      var classNameWrap = icon == 5 ? "no-data-svg-wrap user-info-no-todos no-data-type".concat(this.props.type || type) : "no-data-svg-wrap no-data-svg".concat(icon, " no-data-type").concat(this.props.type || type);
      var showText = icon == 5 ? '你已经完成所有待办啦' : '这里什么都没有...';
      return React.createElement("div", {
        className: "no-data-wrap",
        ref: "noDataWrap"
      }, React.createElement("div", {
        className: "no-data-body",
        style: this.getHeight(height, type)
      }, React.createElement("div", {
        className: classNameWrap,
        style: this.getNoDataStyle(height)
      }, "  "), React.createElement("div", {
        className: "color-icon color".concat(icon, " no-data-type").concat(this.props.type || type)
      }, " ", text || showText, " ")));
    }
  }]);

  return NoData;
}(Component);

export { NoData as default };