import * as React from 'react';
import './index.css';

var Footer = function Footer(props) {
  var title = props.title,
      handleClick = props.handleClick,
      icon = props.icon,
      color = props.color;
  return React.createElement("span", {
    className: 'view-more-wrap',
    onClick: function onClick() {
      handleClick() || 'javaScript:;';
    }
  }, React.createElement("span", {
    className: 'view-more-text'
  }, title || ''), React.createElement("span", {
    className: "footer-icon " + (icon || 'font-mux-view-more-ico'),
    style: {
      color: color || ''
    }
  }));
};

export default Footer;