import * as React from 'react';
import './tagFilter.css';
var colors = ['#ed5858', '#f28d49', '#f5d540', '#38ba72', '#55c6c6', '#41b0d9', '#5b99ee'];
export default function (_a) {
  var tagData = _a.tagData,
      handleClick = _a.handleClick,
      selectexIndex = _a.selectexIndex;

  function getColor(selected, k) {
    if (k == 0 && selected) {
      return '#3f9cee';
    } else {
      return selected ? colors[k % 7] : '#e7eef3';
    }
  }

  return React.createElement("div", {
    className: 'tags-wrap'
  }, tagData.map(function (text, k) {
    var selected = selectexIndex == k;
    return React.createElement("span", {
      className: 'a-tag',
      onClick: function onClick() {
        handleClick(k);
      },
      style: {
        backgroundColor: getColor(selected, k),
        color: selected ? '#fff' : '#8f9ca6'
      },
      key: "a-tag" + k
    }, text);
  }));
}