import * as React from 'react';
export default function JudgeTimeReturnTootip() {
  function judgeTime() {
    var time = new Date();
    var hour = time.getHours();
    var minutes = time.getMinutes();
    var tootip;

    if (hour < 5) {
      tootip = "嗨~夜深了早点休息！";
    } else if (hour < 10) {
      tootip = "嗨~早上好！";
    } else if (hour < 11) {
      tootip = "嗨~上午好！";
    } else if (hour < 12) {
      if (minutes < 30) {
        tootip = "嗨~上午好！";
      } else {
        tootip = "嗨~中午好！";
      }
    } else if (hour < 13) {
      tootip = "嗨~中午好！";
    } else if (hour < 18) {
      tootip = "嗨~下午好！";
    } else if (hour < 20) {
      tootip = "嗨~晚上好！";
    } else if (hour < 24) {
      tootip = "嗨~夜深了早点休息！";
    } else {
      tootip = "嗨~夜深了早点休息！";
    }

    return tootip;
  }

  return React.createElement("label", null, judgeTime());
}
;