import "core-js/modules/es6.object.set-prototype-of";

var __extends = this && this.__extends || function () {
  var _extendStatics = function extendStatics(d, b) {
    _extendStatics = Object.setPrototypeOf || {
      __proto__: []
    } instanceof Array && function (d, b) {
      d.__proto__ = b;
    } || function (d, b) {
      for (var p in b) {
        if (b.hasOwnProperty(p)) d[p] = b[p];
      }
    };

    return _extendStatics(d, b);
  };

  return function (d, b) {
    _extendStatics(d, b);

    function __() {
      this.constructor = d;
    }

    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
}();

import * as React from 'react';
import * as ReactDom from 'react-dom';
import './settingPop.css';
import ScrollWrap from '../../../components/common/scrollWrap';

var SettingPop =
/** @class */
function (_super) {
  __extends(SettingPop, _super);

  function SettingPop() {
    var _this = _super !== null && _super.apply(this, arguments) || this;

    _this.stopBuble = function (e) {
      e.stopPropagation();
      e.nativeEvent.stopImmediatePropagation();
      e.nativeEvent.stopPropagation();
    };

    return _this;
  }

  SettingPop.prototype.componentDidMount = function () {
    this.node = ReactDom.findDOMNode(this);
    this.node && document.body.appendChild(this.node);
  };

  SettingPop.prototype.componentWillUnmount = function () {
    this.node && document.body.removeChild(this.node);
  };

  SettingPop.prototype.render = function () {
    var _this = this;

    var _a = this.props,
        title = _a.title,
        sureText = _a.sureText,
        cancleText = _a.cancleText;
    return React.createElement("div", {
      className: 'native-pop-wrap',
      onClick: this.stopBuble
    }, React.createElement("div", {
      className: 'cover'
    }), React.createElement("div", {
      className: 'pop-head'
    }, React.createElement("span", {
      className: 'title'
    }, title || '编辑'), React.createElement("span", {
      className: 'cross-cancle font-cross-multiply',
      onClick: function onClick() {
        _this.props.closePop();
      }
    })), React.createElement(ScrollWrap, {
      height: 'calc( 100% - 160px )'
    }, React.createElement("div", {
      className: 'pop-inner-wrap'
    }, this.props.children)), React.createElement("div", {
      className: 'pop-footer'
    }, React.createElement("span", {
      className: 'cancel',
      onClick: function onClick() {
        _this.props.closePop();
      }
    }, cancleText || '取消'), React.createElement("span", {
      className: 'submit',
      onClick: function onClick() {
        _this.props.submitPop();
      }
    }, sureText || '确定')));
  };

  return SettingPop;
}(React.PureComponent);

export default SettingPop;