import _regeneratorRuntime from "@babel/runtime/regenerator";
import "regenerator-runtime/runtime";
import _asyncToGenerator from "@babel/runtime/helpers/asyncToGenerator";
import "core-js/modules/es6.regexp.search";
import "core-js/modules/es6.object.assign";
import _classCallCheck from "@babel/runtime/helpers/classCallCheck";
import _createClass from "@babel/runtime/helpers/createClass";
import _possibleConstructorReturn from "@babel/runtime/helpers/possibleConstructorReturn";
import _getPrototypeOf from "@babel/runtime/helpers/getPrototypeOf";
import _inherits from "@babel/runtime/helpers/inherits";
import './FeedSetting.css';
import React, { Component } from 'react';
import BoolSelect from '../../../../components/common/BoolSelect';
import { taker, getApiUrl } from '../../../../helper';
import ChannelSetting from './channelSetting'; // import Object.assign from 'object-assign';

var FeedSetting =
/*#__PURE__*/
function (_Component) {
  _inherits(FeedSetting, _Component);

  function FeedSetting(p) {
    var _this;

    _classCallCheck(this, FeedSetting);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(FeedSetting).call(this, p));

    _this.getChannelPlain = function (channels, result) {
      channels && channels.length > 0 && channels.map(function (k, v) {
        result.push(k);

        if (k.subChannels) {
          _this.getChannelPlain(k.subChannels, result);
        }
      });
      return result;
    };

    _this.addCheck = function (channelsNew) {
      channelsNew.map(function (channel, index) {
        //取原来state中有的频道的选中状态
        var plainData = _this.getChannelPlain(_this.state.channels, []);

        var filterData = plainData.filter(function (k, v) {
          return channel.id == k.id;
        });

        if (filterData.length > 0) {
          //被存储过的状态会用在下次的选中状态。
          channel.checked = filterData[0].checked;
        } else {
          //新的频道赋予选中状态true
          channel.checked = true;
        } //app组特殊处理－－没名字（name）的那个数据


        channel.open = channel.id == 50 ? true : false;

        if (channel.subChannels) {
          _this.addCheck(channel.subChannels);
        }
      });
      return channelsNew;
    };

    _this.publishBoxChange = function (bool) {
      _this.state.publish = bool;

      _this.update(Object.assign({}, _this.state, {
        publish: bool
      }));
    };

    _this.searchBoxChange = function (bool) {
      _this.state.search = bool;

      _this.update(Object.assign({}, _this.state, {
        search: bool
      }));
    };

    _this.callBoxChange = function (bool) {
      _this.state.at = bool;

      _this.update(Object.assign({}, _this.state, {
        at: bool
      }));
    };

    _this.channelBoxChange = function (bool) {
      _this.state.channel = bool; // this.setState(this.state)

      _this.update(Object.assign({}, _this.state, {
        channel: bool
      }));
    };

    _this.changeChannelTo = function (subChannels, checked) {
      subChannels.map(function (chanel, index) {
        chanel.checked = checked;

        if (chanel.subChannels) {
          _this.changeChannelTo(chanel.subChannels, checked);
        }
      });
    };

    _this.changeChannel = function (channels, id) {
      channels.map(function (channel, index) {
        if (channel.id == id) {
          channel.checked = !channel.checked;

          if (channel.subChannels) {
            _this.changeChannelTo(channel.subChannels, channel.checked);
          }
        } else if (channel.subChannels) {
          _this.changeChannel(channel.subChannels, id);
        }
      });
      return _this.fixParentCh(channels);
    };

    _this.fixParentCh = function (channels) {
      channels.map(function (data, index) {
        if (!data.subChannels) return;
        var childCheck = data.subChannels.filter(function (ch, ind) {
          return ch.checked;
        });
        data.checked = childCheck.length > 0 ? true : false;

        _this.fixParentCh(data.subChannels);
      });
      return channels;
    };

    _this.onClick = function (data) {
      var channels = _this.state.channels;

      var chanels = _this.changeChannel(channels, data.id);

      _this.state.channels = chanels;

      _this.update(Object.assign({}, _this.state, {
        channels: chanels
      }));
    };

    _this.changeOpenById = function (channels, id) {
      channels.map(function (data, index) {
        if (data.id == id) {
          data.open = !data.open;
        } else {
          data.open = data.id == 50 ? true : false;

          if (data.subChannels) {
            _this.changeOpenById(data.subChannels, id);
          }
        }
      });
      return channels;
    };

    _this.changeOpen = function (data) {
      var id = data.id;
      var channels = _this.state.channels;

      var newChannels = _this.changeOpenById(channels, id);

      _this.state.channels = newChannels;

      _this.update(Object.assign({}, _this.state, {
        channels: newChannels
      }));
    };

    var _data = p.data;
    _this.state = {
      channels: _data && _data.channels != undefined ? _data.channels : [],
      publish: _data && _data.publish != undefined ? _data.publish : true,
      search: _data && _data.search != undefined ? _data.channel ? _data.search : _data.chanel : true,
      channel: _data && _data.channel != undefined ? _data.channel : true,
      at: _data && _data.at != undefined ? _data.at : true
    };
    _this.update = p.update;
    _this.channelMapCheck = [];
    return _this;
  }

  _createClass(FeedSetting, [{
    key: "componentWillMount",
    value: function () {
      var _componentWillMount = _asyncToGenerator(
      /*#__PURE__*/
      _regeneratorRuntime.mark(function _callee() {
        var data, channelsNew;
        return _regeneratorRuntime.wrap(function _callee$(_context) {
          while (1) {
            switch (_context.prev = _context.next) {
              case 0:
                _context.next = 2;
                return taker(getApiUrl('feedchannel/List'));

              case 2:
                data = _context.sent;
                channelsNew = data && data.Data ? data.Data.channels : [];
                this.setState({
                  channels: this.addCheck(channelsNew)
                });

              case 5:
              case "end":
                return _context.stop();
            }
          }
        }, _callee, this);
      }));

      function componentWillMount() {
        return _componentWillMount.apply(this, arguments);
      }

      return componentWillMount;
    }()
  }, {
    key: "render",
    value: function render() {
      // GET /api/v1/{tenant_id}/{user_id}/feedchannel/List
      var data = this.props.data;

      var _ref = data ? data : this.state,
          channels = _ref.channels,
          channel = _ref.channel,
          publish = _ref.publish,
          search = _ref.search,
          at = _ref.at;

      return React.createElement("div", {
        className: "feed-setting-container"
      }, React.createElement("div", {
        className: "box-wrap publish-box-wrap"
      }, React.createElement(BoolSelect, {
        data: {
          BoolSelect: publish
        },
        title: "\u53D1\u8868\u6846\u663E\u793A",
        onChange: this.publishBoxChange,
        wrapClassName: 'bool-select-contain',
        changeName: "publishBox"
      })), React.createElement("div", {
        className: "box-wrap search-box-wrap"
      }, React.createElement(BoolSelect, {
        data: {
          BoolSelect: channel ? search : channel
        },
        title: "\u641C\u7D22\u6846\u663E\u793A",
        onChange: this.searchBoxChange,
        wrapClassName: 'bool-select-contain',
        changeName: "searchBox"
      })), React.createElement("div", {
        className: "box-wrap call-box-wrap"
      }, React.createElement(BoolSelect, {
        data: {
          BoolSelect: at
        },
        title: "@\u540C\u4E8B\u529F\u80FD",
        onChange: this.callBoxChange,
        wrapClassName: 'bool-select-contain',
        changeName: "callBox"
      })), React.createElement("div", {
        className: "box-wrap channel-box-wrap"
      }, React.createElement(BoolSelect, {
        data: {
          BoolSelect: channel
        },
        title: "\u9891\u9053\u663E\u793A\u914D\u7F6E",
        onChange: this.channelBoxChange,
        wrapClassName: 'bool-select-contain',
        changeName: "channelBox"
      }), React.createElement("div", {
        className: "channel-list-contain",
        style: {
          display: channel ? 'block' : 'none'
        }
      }, channels.length > 0 && React.createElement(ChannelSetting, {
        data: channels,
        pid: -1,
        onClick: this.onClick,
        changeOpen: this.changeOpen,
        level: 1
      }))));
    }
  }]);

  return FeedSetting;
}(Component);

export default FeedSetting;